> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Set an order to handed to customer



## OpenAPI

````yaml put /orders/{orderId}/setHandedToCustomer
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /orders/{orderId}/setHandedToCustomer:
    put:
      tags:
        - Orders
      summary: Set an order to handed to customer
      operationId: putSetHandedToCustomer
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActorIdRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessOrderUpdate'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    ActorIdRequest:
      type: object
      properties:
        actorId:
          type: string
      required:
        - actorId
    Order:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        customerId:
          type: string
        cashierId:
          type: string
        status:
          type: string
          enum:
            - submitted
            - claimed
            - released
            - completed
            - cancelled
            - awaiting_customer
            - handed_to_customer
        items:
          type: array
          items:
            type: object
            properties:
              item:
                type: string
              quantity:
                type: number
        log:
          type: array
          items:
            type: object
            properties:
              event:
                type: string
              userId:
                type: string
              date:
                type: string
                format: date-time
        involvedUsers:
          type: array
          items:
            type: string
        placeId:
          type: string
        gameId:
          type: string
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
      required:
        - groupId
        - customerId
        - cashierId
        - status
        - items
        - placeId
        - gameId
        - created
  responses:
    SuccessOrderUpdate:
      description: Order updated successfully
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              order:
                $ref: '#/components/schemas/Order'
    BadRequest:
      description: Bad request, invalid parameters
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````